- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations/create#try-it)

Creates a new conversation. Conversations are auto-completed after 24 hours.

Conversation Lifecycle: There are two stages during a conversation: Automated Agent Stage and Assist Stage.

For Automated Agent Stage, there will be a dialogflow agent responding to user queries.

For Assist Stage, there's no dialogflow agent responding to user queries. But we will provide suggestions which are generated from conversation.

If `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations#Conversation.FIELDS.conversation_profile` is configured for a dialogflow agent, conversation will start from `Automated Agent Stage`, otherwise, it will start from `Assist Stage`. And during `Automated Agent Stage`, once an `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.agent.intents#Intent` with `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.agent.intents#Intent.FIELDS.live_agent_handoff` is triggered, conversation will transfer to Assist Stage.

### HTTP request

Choose an endpoint:
global   
`POST https://dialogflow.googleapis.com/v2/{parent=projects/*}/conversations`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`POST https://{endpoint}/v2/{parent=projects/*}/conversations`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource identifier of the project creating the conversation. Format: `projects/<Project ID>/locations/<Location ID>`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dialogflow.conversations.create` |

### Query parameters

| Parameters ||
|---|---|
| `conversationId` | `string` Optional. Identifier of the conversation. Generally it's auto generated by Google. Only set it if you cannot wait for the response to return a auto-generated one to you. The conversation ID must be compliant with the regression formula `[a-zA-Z][a-zA-Z0-9_-]*` with the characters length in range of \[3,64\]. If the field is provided, the caller is responsible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations#Conversation`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2/projects.conversations#Conversation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).